Package org.eclipse.mat.report.internal

## Class SectionPart

- java.lang.Object
- - org.eclipse.mat.report.internal.AbstractPart
  - - org.eclipse.mat.report.internal.SectionPart

    public class SectionPart
    extends AbstractPart

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractPart` `execute​(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`String` `getCommand()`

### Methods inherited from class org.eclipse.mat.report.internal.AbstractPart

`getChildren, getId, getObject, getParent, getStatus, params, putObject, spec`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCommand

    public String getCommand()

Overrides:
  `getCommand` in class `AbstractPart`

#### execute

    public AbstractPart execute​(IQueryContext context,
                                ResultRenderer renderer,
                                IProgressListener listener)
                         throws SnapshotException,
                                IOException

Specified by:
  `execute` in class `AbstractPart`
Throws:
  `SnapshotException`
  `IOException`